var $AdfDhtmlOutputFormattedPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlValuePeer$$, "AdfDhtmlOutputFormattedPeer");
$goog$exportSymbol$$("AdfDhtmlOutputFormattedPeer", $AdfDhtmlOutputFormattedPeer$$);
$AdfDhtmlOutputFormattedPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlOutputFormattedPeer$$$$$SetDisplayValue$$($cleanedSpan_component$$1145$$, $domElement$$302$$, $newValue$$98$$) {
  $AdfAssert$$.$assertString$($newValue$$98$$);
  "string" != typeof $newValue$$98$$ && ($newValue$$98$$ = $newValue$$98$$.toString());
  $cleanedSpan_component$$1145$$ = $AdfDomUtils$$.$cleanHtml$(this.$getDomDocument$(), $newValue$$98$$);
  for($domElement$$302$$.innerHTML = "";$cleanedSpan_component$$1145$$.firstChild;) {
    $domElement$$302$$.appendChild($cleanedSpan_component$$1145$$.firstChild)
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlOutputFormattedPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlOutputFormattedPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlOutputFormattedPeer$$.prototype.$GetDisplayValue$ = function $$AdfDhtmlOutputFormattedPeer$$$$$GetDisplayValue$$($component$$1146$$, $domElement$$303$$) {
  $AdfDomUtils$$.$stripScripts$($domElement$$303$$);
  return $domElement$$303$$.innerHTML
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlOutputFormattedPeer.prototype.GetDisplayValue", {$GetDisplayValue$:$AdfDhtmlOutputFormattedPeer$$.prototype.$GetDisplayValue$});
